List drives
GET
https://api.vercel.com/v2/sandboxes/drivesRetrieves a paginated list of drives belonging to a specific project.
https://api.vercel.com/v2/sandboxes/drives
const response = await fetch('https://api.vercel.com/v2/sandboxes/drives?projectId=string&limit=123&cursor=string&sortBy=string&namePrefix=string&sortOrder=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "drives": [ { "createdAt": "1750344501629", "currentSandboxName": "my-sandbox", "currentSessionId": "sbx_123", "id": "drive_abc123", "maxSizeBytes": "1099511627776", "name": "workspace", "parentDriveId": "example_id", "projectId": "prj_abc123", "region": "iad1", "rootDriveId": "example_id", "updatedAt": "1750344501629", "v0": "false" } ], "pagination": { "count": "123", "next": "string" }}AuthorizationbearerToken
Default authentication mechanism
The project ID or name associated with the drives. Required unless using a Vercel OIDC token scoped to a project.
Filter drives whose name starts with this prefix. Only valid when sortBy=name.